/******************************************************************************
*
*  OCO SOURCE MATERIALS
*
*  IBM CONFIDENTIAL (IBM CONFIDENTIAL-RESTRICTED when combined with the
*                    Aggregated OCO Source Modules for this Program)
*
*  Source File Name = dxx.h
*
*  Component Name   = Include Header File
*
*  Descriptive Name = XML extender constants
*
*  Copyright = 5622-044 (c) Copyright IBM Corp 1987, 1997
*              Licensed Materials - Program Property of IBM
*
*
*  Operating System = Common Code
*
******************************************************************************/
#ifndef _DXX_H
#define _DXX_H

/* Override types: */
#define NO_OVERRIDE       0     /* No override */
#define SQL_OVERRIDE      1     /* override for SQL mapping */
#define XML_OVERRIDE      2     /* override for RDB_node mapping */

/* To remove a condition in an XML override,
   specify location_path = NO_CONDITION.
   For example, "/department/name = NO_CONDITION" */
#define NO_CONDITION      "NO_CONDITION"

/* Constants for XML validation: */
#define DXX_VALID      1
#define DXX_INVALID    0

#endif
