-- CLP to test path expressions in extraction UDFs
-- A test for simple path expression, i.e., #3 and #6 in DXX specification.
--   Usage: db2 -tf extract1.clp > extract1.out

connect to mydb;

echo -------- Simple path expression #3 --------;
values cast (db2xml.extractDouble(db2xml.XMLFile('/usr/IBMdb2xml/V7.1/samples/xml/book.xml'), '/book/price') as decimal(6,2));

select cast(x.returnedVarchar as char(35)) from table(db2xml.extractVarchars(db2xml.XMLFile('/usr/IBMdb2xml/V7.1/samples/xml/book.xml'), '/book/chapter/section')) as x;

echo -------- Simple path expression #6 --------;
values db2xml.extractDate(db2xml.XMLFile('/usr/IBMdb2xml/V7.1/samples/xml/book.xml'), '/book/price/@date');

select * from table(db2xml.extractIntegers(db2xml.XMLFile('/usr/IBMdb2xml/V7.1/samples/xml/book.xml'), '/book/chapter/@id')) as x;

connect reset;
terminate;

